Summary:	Echelog is distributed agent/server monitoring system
Name:		echelog
Version:	0.6.3
Release:	%mkrel 3
License:	MIT
Group:		Monitoring
URL:		http://echelog.sf.net/
Source0:	http://echelog.sf.net/snapshots/echelog-%{version}.tar.bz2
Source1:	echelog.init.bz2
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires:	/bin/ksh
BuildRequires:	flex openssl-devel zlib-devel gawk
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Echelog is a distributed system consisting of one or more agents and one or
more servers. The data are gathered by multiple agents, distributed on computer
network and sent to a server (or more servers) in order to store them for
future processing. This system is intended for a network with system agents
running on each computer and in case something goes wrong (hardware/software
failure, system security compromise ...) there is always entry in server's log
containing information about what exactly happened before the accident. Or you
can simply use gathered data for statistical information and resource
utilization of your network. 

%prep

%setup -q

bzcat %{SOURCE1} > echelog.init

%build

export CXXFLAGS="%{optflags} -fpermissive"

%configure2_5x

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_initrddir}

make install \
     prefix=%{buildroot}/%{_prefix} \
     sysconfdir=%{buildroot}%{_sysconfdir} \
     localstatedir=%{buildroot}/var \
     bindir=%{buildroot}%{_bindir} \
     sbindir=%{buildroot}%{_sbindir}

install -m0755 echelog.init %{buildroot}%{_initrddir}/echelog

%pre
# add group echelog if not found
grep -q ^echelog: %{_sysconfdir}/group || {
    groupadd -r echelog || {
       echo "ERROR: Can't add group echelog, aborting install" >&2
       exit 1
    }
}

# add user echelog if not found
grep -q ^echelog: %{_sysconfdir}/passwd || {
   useradd -d /var/cache/echelog -g echelog -M -r echelog || {
       echo "ERROR: Can't add user echelog, aborting install" >&2
       exit 1
    }
}

# add user echelogc (Echelog admin) if not found
grep -q ^echelogc: %{_sysconfdir}/passwd || {
   useradd echelogc || {
       echo "ERROR: Can't add user echelogc, aborting install" >&2
       exit 1
    }
}

%post
%_post_service %{name}
if [ "$1" = 1 -o ! -f %{_sysconfdir}/echelog/install.state ] ; then
echo 
echo "Run ./setup-wizard.sh in %_docdir/%name-%version/ directory"
echo
fi

%preun
%_preun_service %{name}

%clean
rm -rf %{buildroot}

%files 
%defattr (-,root,root)
%doc COPYING AUTHORS INSTALL README setup-wizard.sh README.QuickStart ChangeLog
%attr(0755,root,root) %{_initrddir}/echelog
%attr(0755,root,root) %dir %{_sysconfdir}/echelog
%attr(0755,root,root) %dir %{_sysconfdir}/echelog/modules
%attr(0755,root,root) %dir %{_sysconfdir}/echelog/templates
%attr(0755,root,root) %dir %{_sysconfdir}/echelog/templates/webtools
%attr(0750,root,echelog) %dir %{_sysconfdir}/echelog/modules/keys
%attr(0640,root,echelog) %{_sysconfdir}/echelog/modules/keys/*
%attr(0644,root,root) %%config(noreplace) %{_sysconfdir}/echelog/*conf
%attr(0644,root,root) %%config(noreplace) %{_sysconfdir}/echelog/templates/*.inc
%attr(0644,root,root) %%config(noreplace) %{_sysconfdir}/echelog/templates/*conf
%attr(0644,root,root) %%config(noreplace) %{_sysconfdir}/echelog/templates/webtools/*
%attr(0755,echelog,echelog) %dir %{_localstatedir}/echelog
%attr(0755,echelog,echelog) %{_localstatedir}/echelog/*
%attr(0750,echelog,echelog) %dir /var/log/echelog
%attr(0750,echelog,echelog) /var/cache/*
%attr(0755,root,root) %{_bindir}/aggregator
%attr(0755,root,root) %{_bindir}/alert.sh
%attr(0755,root,root) %{_bindir}/alertmaster
%attr(0755,root,root) %{_bindir}/bincut
%attr(0755,root,root) %{_bindir}/bingrep
%attr(0755,root,root) %{_bindir}/bininfo
%attr(0755,root,root) %{_bindir}/binreader
%attr(0755,root,root) %{_bindir}/binselect
%attr(0755,root,root) %{_bindir}/binsnapshot
%attr(0755,root,root) %{_bindir}/binstor
%attr(0755,root,root) %{_bindir}/filter
%attr(0755,root,root) %{_bindir}/logstor
%attr(0755,root,root) %{_bindir}/magent_getlog
%attr(0755,root,root) %{_bindir}/magent_netstat
%attr(0755,root,root) %{_bindir}/magent_ps
%attr(0755,root,root) %{_bindir}/magent_utmp
%attr(0755,root,root) %{_bindir}/magent_w
%attr(0755,root,root) %{_bindir}/msgsniff
%attr(0755,root,root) %{_bindir}/receiver
%attr(0755,root,root) %{_bindir}/sender
%attr(0755,root,root) %{_sbindir}/echelogctl
%attr(0755,root,root) %{_sbindir}/echelogd

%changelog
* Mon Aug 07 2006 Lenny Cartier <lenny@mandriva.com> 0.6.3-3mdv2007.0
- rebuild

* Tue Feb 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-2mdk
- fix deps and rpmlint warnings
- provide our own initscript (S1)

* Mon Oct 24 2005 Lenny Cartier <lenny@mandriva.com> 0.6.3-1mdk
- 0.6.3

* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.2-3mdk
- rebuild with new g++
- patch 0: fix compiling with new g++

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-2mdk
- adjust buildrequires

* Mon Mar 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- from Kamil Toman <ktoman@email.cz> :
	- added ChangeLog
	- added README.QuickStart
	- create needed users and groups
	- file permissions
	- init script

* Fri May 30 2002 Martin Macok <martin.macok@underground.cz> 0.6-1
 - rpm created
